import React from 'react';
import { Image } from 'antd';
import styles from './style.module.less';

export default (props) => {
  const { attachList } = props;

  return (
    <div className={styles['attach-list-box']}>
    {
      (attachList || []).map(attach => (
        <div key={attach.attachId}>
          {
            !attach.fileType || attach.fileType?.indexOf('image') > -1 ?
              <Image style={{width: '100%', height: '100%'}} src={attach.url} /> :
              <video controls style={{width: '100%', height: '100%'}} src={attach.url}></video>
          }
        </div>
      ))
    }
    </div>
  )
}
